# coding: utf-8
lib = File.expand_path('../lib', __FILE__)
$LOAD_PATH.unshift(lib) unless $LOAD_PATH.include?(lib)
require 'timing_attack/version'

Gem::Specification.new do |spec|
  spec.name          = "timing_attack"
  spec.version       = TimingAttack::VERSION
  spec.authors       = ["Forrest Fleming"]
  spec.email         = ["ffleming@gmail.com"]

  spec.summary       = "Perform timing attacks against web applications"
  spec.description   = "Profile web applications by noting differences in response times based on input values"
  spec.homepage      = "https://www.github.com/ffleming/timing_attack"

  spec.files         = `git ls-files -z`.split("\x0").reject { |f| f.match(%r{^(test|spec|features)/}) }
  spec.bindir        = "exe"
  spec.executables   = spec.files.grep(%r{^exe/}) { |f| File.basename(f) }
  spec.require_paths = ["lib"]
  spec.licenses      = %q(MIT)

  spec.add_runtime_dependency "ruby-progressbar", "~> 1.0", ">= 1.6"
  spec.add_runtime_dependency "typhoeus", "~> 1.0", ">= 1.0.1"
  spec.add_development_dependency "bundler", "~> 1.12"
  spec.add_development_dependency "pry-byebug", "~> 3.4"
  spec.add_development_dependency "rake", "~> 10.0"
  spec.add_development_dependency "rspec", "~> 3.0"
end
